## org.dom4j.swing
Class XMLTableColumnDefinition

    java.lang.Object
      org.dom4j.swing.XMLTableColumnDefinition

All Implemented Interfaces:
  Serializable

public class XMLTableColumnDefinition
extends Object
implements Serializable

`XMLTableColumnDefinition` a column within a table definition.

Version:
  $Revision: 1.10 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary
`static int` `NODE_TYPE`
`static int` `NUMBER_TYPE`
`static int` `OBJECT_TYPE`
`static int` `STRING_TYPE`

Constructor Summary
`XMLTableColumnDefinition()`
`XMLTableColumnDefinition(String name, String expression, int type)`
`XMLTableColumnDefinition(String name, XPath xpath, int type)`
`XMLTableColumnDefinition(XPath columnXPath, XPath xpath, int type)`

Method Summary
`protected XPath` `createXPath(String expression)`
`Class` `getColumnClass()`
`XPath` `getColumnNameXPath()` DOCUMENT ME!
`String` `getName()` Getter for property name.
`int` `getType()` Getter for property type.
`Object` `getValue(Object row)`
`XPath` `getXPath()` Getter for property xpath.
`protected void` `handleException(Exception e)`
`static int` `parseType(String typeName)`
`void` `setColumnNameXPath(XPath columnNameXPath)` Setter for property columnNameXPath.
`void` `setName(String name)` Setter for property name.
`void` `setType(int type)` Setter for property type.
`void` `setXPath(XPath xPath)` Setter for property xpath.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_TYPE

    public static final int OBJECT_TYPE

See Also:
  Constant Field Values

### STRING_TYPE

    public static final int STRING_TYPE

See Also:
  Constant Field Values

### NUMBER_TYPE

    public static final int NUMBER_TYPE

See Also:
  Constant Field Values

### NODE_TYPE

    public static final int NODE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### XMLTableColumnDefinition

    public XMLTableColumnDefinition()

### XMLTableColumnDefinition

    public XMLTableColumnDefinition(String name,
                                    String expression,
                                    int type)

### XMLTableColumnDefinition

    public XMLTableColumnDefinition(String name,
                                    XPath xpath,
                                    int type)

### XMLTableColumnDefinition

    public XMLTableColumnDefinition(XPath columnXPath,
                                    XPath xpath,
                                    int type)

Method Detail

### parseType

    public static int parseType(String typeName)

### getColumnClass

    public Class getColumnClass()

### getValue

    public Object getValue(Object row)

### getType

    public int getType()

  Getter for property type.

  Returns:
    Value of property type.

### setType

    public void setType(int type)

  Setter for property type.

  Parameters:
    `type` - New value of property type.

### getName

    public String getName()

  Getter for property name.

  Returns:
    Value of property name.

### setName

    public void setName(String name)

  Setter for property name.

  Parameters:
    `name` - New value of property name.

### getXPath

    public XPath getXPath()

  Getter for property xpath.

  Returns:
    Value of property xpath.

### setXPath

    public void setXPath(XPath xPath)

  Setter for property xpath.

  Parameters:
    `xPath` - New value of property xpath.

### getColumnNameXPath

    public XPath getColumnNameXPath()

  DOCUMENT ME!

  Returns:
    the XPath used to create the column name

### setColumnNameXPath

    public void setColumnNameXPath(XPath columnNameXPath)

  Setter for property columnNameXPath.

  Parameters:
    `columnNameXPath` - New value of property xpath.

### createXPath

    protected XPath createXPath(String expression)

### handleException

    protected void handleException(Exception e)

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.